Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class PLFIntegrator

    java.lang.Object
      org.jasig.portal.layout.dlm.PLFIntegrator

    public class PLFIntegrator

extends java.lang.Object

Performs merging of PLF into ILF for DLM.

Since:
  uPortal 2.5
Version:
  $Revision: 1.5.2.1 $ $Date: 2005/09/13 18:31:52 $

Field Summary
`private static org.apache.commons.logging.Log` | `LOG`
`static java.lang.String` | `RCS_ID`

Constructor Summary
`PLFIntegrator()`

Method Summary
`(package private) static org.w3c.dom.Element` | `appendChild(org.w3c.dom.Element plfChild, org.w3c.dom.Element parent, boolean copyChildren)` This method copies a plf node and any of its children into the passed in compViewParent.
`private static void` | `applyChildChanges(org.w3c.dom.Element plfParent, org.w3c.dom.Element ilfParent, IntegrationResult result)`
`private static void` | `mergeChannel(org.w3c.dom.Element plfChild, org.w3c.dom.Element plfParent, org.w3c.dom.Element ilfParent, IntegrationResult result)`
`private static void` | `mergeFolder(org.w3c.dom.Element plfChild, org.w3c.dom.Element plfParent, org.w3c.dom.Element ilfParent, IntegrationResult result)`
`static void` | `mergePLFintoILF(org.w3c.dom.Document plf, org.w3c.dom.Document ilf, IntegrationResult result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### LOG

    private static org.apache.commons.logging.Log LOG

Constructor Detail

### PLFIntegrator

    public PLFIntegrator()

Method Detail

### mergePLFintoILF

    public static void mergePLFintoILF(org.w3c.dom.Document plf,
                                       org.w3c.dom.Document ilf,
                                       IntegrationResult result)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### applyChildChanges

    private static void applyChildChanges(org.w3c.dom.Element plfParent,
                                          org.w3c.dom.Element ilfParent,
                                          IntegrationResult result)
                                   throws PortalException

  Throws:
    `PortalException`

### mergeChannel

    private static void mergeChannel(org.w3c.dom.Element plfChild,
                                     org.w3c.dom.Element plfParent,
                                     org.w3c.dom.Element ilfParent,
                                     IntegrationResult result)

### mergeFolder

    private static void mergeFolder(org.w3c.dom.Element plfChild,
                                    org.w3c.dom.Element plfParent,
                                    org.w3c.dom.Element ilfParent,
                                    IntegrationResult result)
                             throws PortalException

  Throws:
    `PortalException`

### appendChild

    static org.w3c.dom.Element appendChild(org.w3c.dom.Element plfChild,
                                           org.w3c.dom.Element parent,
                                           boolean copyChildren)

  This method copies a plf node and any of its children into the passed in compViewParent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD